# Indexer Service APIs

Indexer service creates an index, which is a methodical arrangement of records designed to enable users to locate information quickly.

```plain {% title="Client ID" %}
963f2cc6915e479fa0fcb73ec2ec90e7
```


Version: 2.0.0

## Servers

SLB Saas OSDU (SGP)
```
https://as5.api.enterprisedata.slb.com/api/indexer/v2
```

SLB SaaS OSDU (BRS)
```
https://br5.api.enterprisedata.slb.com/api/indexer/v2
```

SLB Saas OSDU (WEU)
```
https://eu5.api.enterprisedata.slb.com/api/indexer/v2
```

SLB SaaS OSDU (EUT)
```
https://eu6.api.enterprisedata.slb.com/api/indexer/v2
```

SLB Saas OSDU (MDE)
```
https://eu7.api.enterprisedata.slb.com/api/indexer/v2
```

SLB Saas OSDU (PSC)
```
https://us5.api.enterprisedata.slb.com/api/indexer/v2
```

SLB Saas OSDU (USC)
```
https://us7.api.enterprisedata.slb.com/api/indexer/v2
```

SLB Saas OSDU (WUS)
```
https://us8.api.enterprisedata.slb.com/api/indexer/v2
```

SLB Saas OSDU (SAS)
```
https://as6.api.enterprisedata.slb.com/api/indexer/v2
```

SLB Saas OSDU (SWC)
```
https://eu8.api.enterprisedata.slb.com/api/indexer/v2
```

SLB Saas OSDU (MYW)
```
https://as7.api.enterprisedata.slb.com/api/indexer/v2
```

SLB Saas OSDU (ZAN)
```
https://za1.api.enterprisedata.slb.com/api/indexer/v2
```

## Security

### bearer

User Token from SLB Authenticator Service

Type: http
Scheme: bearer
Bearer Format: JWT

## Download OpenAPI description

 - [Indexer Service APIs](https://developer.slb.com/_bundle/solutions/core-service/apis/OSDU-Indexer-Service.yaml)

## Reindex api

 - [POST /reindex](https://developer.slb.com/solutions/core-service/apis/osdu-indexer-service/reindex-api/reindexusingpost_1.md): This API allows users to re-index a 'kind' without re-ingesting the records via storage API. Required roles: `users.datalake.admins`
 - [PATCH /reindex](https://developer.slb.com/solutions/core-service/apis/osdu-indexer-service/reindex-api/fullreindexusingpatch.md): This API allows users to re-index an entire partition without re-ingesting the records via storage API. Required roles: `users.datalake.ops`
 - [POST /reindex/records](https://developer.slb.com/solutions/core-service/apis/osdu-indexer-service/reindex-api/reindex%20records.md): This API allows users to re-index the given records by providing record ids without re-ingesting the records via storage API. Required roles: `users.datalake.admins`
## Info

 - [GET /info](https://developer.slb.com/solutions/core-service/apis/osdu-indexer-service/info/version%20info.md): For deployment available public `/info` endpoint, which provides build and git related information.
